/* class comment */!!

inherit(Dialog, #TrigExtSettingDlg, nil, 2, nil)!!

now(class(TrigExtSettingDlg))!!

now(TrigExtSettingDlg)!!

/* 3/20/1995 11:27 */
Def initDialog(self, wp, lp)
{
  if (1)
    Call CheckRadioButton(getHWnd(self), 101, 102, 101);
    enableItem(self, 103);
    enableItem(self, 104);
    addCBText(self, 103, "bit 0");
    addCBText(self, 103, "bit 1");
    addCBText(self, 103, "bit 2");
    addCBText(self, 103, "bit 3");
    addCBText(self, 103, "bit 4");
    addCBText(self, 103, "bit 5");
    addCBText(self, 103, "bit 6");
    addCBText(self, 103, "bit 7");
    addCBText(self, 104, "low");
    addCBText(self, 104, "high");
    sendDlgItemMessage(self, 103, CB_SETCURSEL, 0, 0);
    sendDlgItemMessage(self, 104, CB_SETCURSEL, 0, 0);
  else
    Call CheckRadioButton(getHWnd(self), 101, 102, 102);
    disableItem(self, 103);
    disableItem(self, 104);
  endif;
  ^1;
}
!!

/* 3/20/1995 11:25 */
Def command(self, wp, lp)
{
  select
    case wp = IDOK
      end(self, IDOK);
    endCase
    case wp = IDCANCEL
      end(self, IDCANCEL);
    endCase
    case wp = 101
      Call CheckRadioButton(getHWnd(self), 101, 102, 101);
      enableItem(self, 103);
      enableItem(self, 104);
      sendDlgItemMessage(self, 103, CB_SETCURSEL, 0, 0);
      sendDlgItemMessage(self, 104, CB_SETCURSEL, 0, 0);
    endCase
    case wp = 102
      Call CheckRadioButton(getHWnd(self), 101, 102, 102);
      disableItem(self, 103);
      disableItem(self, 104);
    endCase
  endSelect;
  ^0;
}
!!